%global dlrn_nvr 1.5.1-17.1.20230622060222.f10ce89
%global dlrn 1
%define upstream_version 1.5.1
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0x2426b928085a020d8a90d0d879ab7008d0896c8a
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           puppet-pacemaker
Version: 1.5.1
Release: 17.1.20230622060223.f10ce89%{?dist}
Summary:        Puppet module for Pacemaker
License:        ASL 2.0

URL:            https://github.com/openstack/puppet-pacemaker

Source0: 1.5.1-17.1.20230622060222.f10ce89.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=f10ce89117192b3faa1e3b9f5200f9c13cacf39a
Patch0001: 0001-Update-master-for-stable-1.5.x.patch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

BuildArch:      noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires:  openstack-macros
%endif

Requires:       puppet-stdlib
Requires:       puppet-firewall
Requires:       puppet >= 2.7.0

%if 0%{?rhel} > 8
Requires:       rubygem-rexml
%endif

%description
Puppet module for Pacemaker

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%setup -q -n openstack-pacemaker-%{upstream_version}

%patch0001 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/pacemaker/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/pacemaker/



%files
%{_datadir}/openstack-puppet/modules/pacemaker/


%changelog
* Thu Jun 22 2023 OSP Prod Chain <dev-null@redhat.com> 1.5.1-17.1.20230622060222.f10ce89
- Update patches

* Thu Jun 08 2023 OSP Prod Chain <dev-null@redhat.com> 1.5.1-1.20230608193800.f10ce89
- Update master for stable/1.5.x
- Adapt providers to new pcs-0.11.5 output
- Adapt providers to new pcs-0.11.5 output
- Configuration of the stonith devices gets a broken password, when fence_ipmilan.pp/fence_redfish.pp/fence_rhevm.pp passwords contain a special character.
- stably-only: Pin concurrent-ruby
- Update TOX_CONSTRAINTS_FILE for stable/1.5.x
- Update .gitreview for stable/1.5.x
- Update master for stable/1.5.x

* Sun Dec 25 2022 OSP Prod Chain <dev-null@redhat.com> 1.5.1-1.20221226015058.7add073
- Update patches
- remove unicode from code

* Wed Nov 30 2022 OSP Prod Chain <dev-null@redhat.com> 1.5.1-1.20221201003758.d8f34a5
- Update patches
- Add fence_watchdog (sbd) stonith agent

* Sat Nov 19 2022 OSP Prod Chain <dev-null@redhat.com> 1.5.1-1.20221120004150.31e7487
- Update patches
- Update master for stable/1.5.x

* Thu Nov 17 2022 OSP Prod Chain <dev-null@redhat.com> 1.5.1-1.20221118015452.099af1d
- Update patches
- Expose run_arping to control IP collisions detection

* Tue Nov 08 2022 OSP Prod Chain <dev-null@redhat.com> 1.5.1-1.20221108104314.a0a0fc2
- Update patches
- Avoid pick_default to detect promoted_max
- bundle: Refactor handling of masters/promoted_max
- Disable setuptools auto discovery

* Tue Nov 01 2022 OSP Prod Chain <dev-null@redhat.com> 1.5.0-1.20221102032706.4332e62
- Update patches
- Bump metadata for tripleo zed release

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 1.4.1-1.20220727183431.e0a869c
- Update patches

* Thu Jul 14 2022 OSP Prod Chain <dev-null@redhat.com> 1.4.1-1.20220714125438.e0a869c
- Update patches

* Wed Jul 13 2022 OSP Prod Chain <dev-null@redhat.com> 1.4.1-1.20220713082110.e0a869c
- Update patches

* Wed Apr 27 2022 OSP Prod Chain <dev-null@redhat.com> 1.4.1-0.20220428020533.e0a869c
- Update patches
- Replace hiera by lookup
- Add 'Release Notes' in README

* Fri Apr 15 2022 OSP Prod Chain <dev-null@redhat.com> 1.4.0-0.20220416014221.91eb91a
- Update patches
- Bump metadata 1.4.0 for tripleo release

* Fri Apr 15 2022 OSP Prod Chain <dev-null@redhat.com> 1.4.0-0.20220416002342.e0fa810
- Bump metadata 1.4.0 for tripleo release

* Wed Jan 26 2022 OSP Prod Chain <dev-null@redhat.com> 1.3.1-0.20220126224142.e0fa810
- Update patches
- Do not install fence-agent packages in base manifests
- Fix duplicate declaration of package resource

* Fri Jan 14 2022 OSP Prod Chain <dev-null@redhat.com> 1.3.1-0.20220115002802.9f2e6f1
- Update patches

* Fri Dec 24 2021 OSP Prod Chain <dev-null@redhat.com> 1.3.1-0.20211225001907.9f2e6f1
- Update patches
- Only install required/supported fence agents

* Fri Nov 12 2021 OSP Prod Chain <dev-null@redhat.com> 1.3.1-0.20211112134052.81c84d5
- Update patches
- Fix idempotency regex during scale-up check
- Replace the deprecated is_ipv6_address function

* Tue Oct 26 2021 OSP Prod Chain <dev-null@redhat.com> 1.3.1-0.20211026162039.d3a119e
- Update patches
- Make sure we wait for the cluster before setting resource_default_op

* Fri Oct 15 2021 OSP Prod Chain <dev-null@redhat.com> 1.3.0-0.20211016003401.fff6e02
- Update patches
- Bump tag for release

* Mon Sep 06 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.1-0.20210906221810.1cd0951
- Update patches
- Make sure we test for Promoted when looking for constraints

* Sat Sep 04 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.1-0.20210905004844.bc4cc78
- Update patches
- Support fence_kubevirt apiversion parameter

* Fri Sep 03 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.1-0.20210903080801.744f3b7
- Update patches
- Add support for fence_kubevirt fencing agent

* Tue Aug 17 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.1-0.20210818015146.4399c3a
- Update patches
- Fix up cluster_setup_extras usage

* Wed Aug 11 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.1-0.20210812014048.bb5e14d
- Update patches
- Remove old workarounds for broken crm_diff

* Tue Aug 10 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.1-0.20210810231808.90be0f9
- Update patches
- setup.cfg: Replace dashes with underscores
- Fix where long_description_content_type is placed

* Sat Jul 31 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.1-0.20210731231807.d513c63
- Update patches
- Increase the scaleup/startup tries
- Fix spec tests using the deprecated pacemaker_restart_resource? function

* Tue Jun 08 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.1-0.20210608221811.b0ea31a
- Update patches
- Update metadata to match released tag

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 1.1.0-0.20210528054146.6e272bf
- Update patches

* Tue Apr 06 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Feb 24 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Make pcs resource config/show work depending on the installed pcs version

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Dec 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add fence_crosslink support

* Tue Dec 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix reconnect_interval on remotes with pcs 0.10
- Add building containers to standalone job

* Tue Nov 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- pcs resource show and pcs stonith show are deprecated

* Thu Oct 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Oct 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update master for stable/1.1.x

* Fri Oct 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update metadata for a release
- Fix pcs 0.10 detection for 8-stream

* Wed Sep 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add disable-http-filter option

* Fri Sep 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Convert all class usage to relative names

* Mon Aug 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add tripleo-standalone sc4 job

* Fri Jul 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Revert "Make sure we pass cluster_setup_extras when using pcs 0.10"

* Thu Jul 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix up upgrade coordination around authkey
- Do not create stonith location constraint when there is a single node
- Make sure we pass cluster_setup_extras when using pcs 0.10

* Thu Jul 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Retry calling backup_cib()

* Fri Jul 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix typo in CRMDIFF_BIN

* Mon Jun 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for promoted-max meta attribute

* Fri Jun 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch to newer openstackdocstheme and reno versions

* Mon Jun 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update Puppet requirement to >= 6.0.0

* Wed May 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare for 1.0.0 release

* Tue Apr 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove support for CentOS6/RHEL6

* Mon Apr 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove "warning: previous definition of" warnings

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Resolve duplicated requirement names in metadata

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Try and reauthenticate if pcsd status $::hostname fails

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix CI for new centos8 + puppet6

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add CentOS 8 and Puppet 6 in metadata

* Mon Mar 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix os version test

* Fri Mar 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update os variables

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Mar 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- order pcmk_remote after Exec['wait-for-settle']

* Tue Mar 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Make pacemaker_resource serializable

* Mon Mar 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add force parameter for all pcmk_ types

* Mon Feb 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix params in pcmk remote

* Mon Dec 23 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Allow to disable the scaleup logic via a parameter"
- Allow to disable the scaleup logic via a parameter

* Mon Dec 23 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Improve scaleup debug logic

* Tue Dec 17 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add support to configure pcsd bind address"
- Add support to configure pcsd bind address

* Fri Dec 06 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix missing deep_compare for fence_redfish

* Mon Nov 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Allow updating stonith levels"
- Allow updating stonith levels

* Thu Nov 14 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Nov 12 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add a more clear error message when we fail to backup cib

* Tue Nov 12 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Pin a bunch of gems so that centos 7 with old ruby still works

* Mon Oct 21 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare for new release 0.8.0




